summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorBrian Behlendorf <[email protected]>2009-08-18 10:51:30 -0700
committerBrian Behlendorf <[email protected]>2009-08-18 10:51:30 -0700
commitddda61764526bcb59a1c72155ebe629e61989420 (patch)
treec5710bee522662c5c20816c573963679ae296446 /scripts
parentaa16b56204d7ee0e4928d611b41b0cfb14ad8560 (diff)
parentc1a676c17f4886cab087e78976c38dad9dc505da (diff)
Merge commit 'refs/top-bases/linux-configure-branch' into linux-configure-branch
Diffstat (limited to 'scripts')
-rw-r--r--scripts/zpool-config/dragon-raid0-1x120.sh26
-rw-r--r--scripts/zpool-config/dragon-raidz-15x8.sh46
-rw-r--r--scripts/zpool-config/dragon-raidz2-15x8.sh46
3 files changed, 118 insertions, 0 deletions
diff --git a/scripts/zpool-config/dragon-raid0-1x120.sh b/scripts/zpool-config/dragon-raid0-1x120.sh
new file mode 100644
index 000000000..5b9475166
--- /dev/null
+++ b/scripts/zpool-config/dragon-raid0-1x120.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+#
+# Dragon (White Box) Raid-0 Configuration (1x120)
+#
+
+DEVICES=(`ls /dev/disk/by-path/* | grep -v part | grep pci-0000`)
+
+S_IDX=0
+STRIPES=()
+
+zpool_create() {
+
+ while [ ${S_IDX} -lt ${#DEVICES[@]} ]; do
+ STRIPE=`readlink -f ${DEVICES[${S_IDX}]}`
+ STRIPES[${S_IDX}]="${STRIPE}"
+ let S_IDX=S_IDX+1
+ done
+
+ msg ${ZPOOL} create -f ${ZPOOL_NAME} ${STRIPES[*]}
+ ${ZPOOL} create -f ${ZPOOL_NAME} ${STRIPES[*]} || exit 1
+}
+
+zpool_destroy() {
+ msg ${ZPOOL} destroy ${ZPOOL_NAME}
+ ${ZPOOL} destroy ${ZPOOL_NAME}
+}
diff --git a/scripts/zpool-config/dragon-raidz-15x8.sh b/scripts/zpool-config/dragon-raidz-15x8.sh
new file mode 100644
index 000000000..04c17e05f
--- /dev/null
+++ b/scripts/zpool-config/dragon-raidz-15x8.sh
@@ -0,0 +1,46 @@
+#!/bin/bash
+#
+# Dragon (White Box) Raid-Z Configuration (15x8 stripes)
+#
+
+DEVICES_A=(`ls /dev/disk/by-path/* | grep pci-0000\:03 | head -15`)
+DEVICES_B=(`ls /dev/disk/by-path/* | grep pci-0000\:03 | tail -15`)
+DEVICES_C=(`ls /dev/disk/by-path/* | grep pci-0000\:04 | head -15`)
+DEVICES_D=(`ls /dev/disk/by-path/* | grep pci-0000\:04 | tail -15`)
+DEVICES_E=(`ls /dev/disk/by-path/* | grep pci-0000\:83 | head -15`)
+DEVICES_F=(`ls /dev/disk/by-path/* | grep pci-0000\:83 | tail -15`)
+DEVICES_G=(`ls /dev/disk/by-path/* | grep pci-0000\:84 | head -15`)
+DEVICES_H=(`ls /dev/disk/by-path/* | grep pci-0000\:84 | tail -15`)
+
+DEVICES_PER_CTRL=1
+RAIDZ_GROUPS=15
+RAIDZS=()
+Z_IDX=0
+
+zpool_create() {
+ D_IDX=0
+ for i in `seq 1 ${RAIDZ_GROUPS}`; do
+ RAIDZ=""
+ for IDX in `seq 1 ${DEVICES_PER_CTRL}`; do
+ RAIDZ="${RAIDZ} `readlink -f ${DEVICES_A[${D_IDX}]}`"
+ RAIDZ="${RAIDZ} `readlink -f ${DEVICES_B[${D_IDX}]}`"
+ RAIDZ="${RAIDZ} `readlink -f ${DEVICES_C[${D_IDX}]}`"
+ RAIDZ="${RAIDZ} `readlink -f ${DEVICES_D[${D_IDX}]}`"
+ RAIDZ="${RAIDZ} `readlink -f ${DEVICES_E[${D_IDX}]}`"
+ RAIDZ="${RAIDZ} `readlink -f ${DEVICES_F[${D_IDX}]}`"
+ RAIDZ="${RAIDZ} `readlink -f ${DEVICES_G[${D_IDX}]}`"
+ RAIDZ="${RAIDZ} `readlink -f ${DEVICES_H[${D_IDX}]}`"
+ let D_IDX=D_IDX+1
+ done
+ RAIDZS[${Z_IDX}]="raidz ${RAIDZ}"
+ let Z_IDX=Z_IDX+1
+ done
+
+ msg ${ZPOOL} create -f ${ZPOOL_NAME} ${RAIDZS[*]}
+ ${ZPOOL} create -f ${ZPOOL_NAME} ${RAIDZS[*]} || exit 1
+}
+
+zpool_destroy() {
+ msg ${ZPOOL} destroy ${ZPOOL_NAME}
+ ${ZPOOL} destroy ${ZPOOL_NAME}
+}
diff --git a/scripts/zpool-config/dragon-raidz2-15x8.sh b/scripts/zpool-config/dragon-raidz2-15x8.sh
new file mode 100644
index 000000000..cc3800e7b
--- /dev/null
+++ b/scripts/zpool-config/dragon-raidz2-15x8.sh
@@ -0,0 +1,46 @@
+#!/bin/bash
+#
+# Dragon (White Box) Raid-Z2 Configuration (15x8 stripes)
+#
+
+DEVICES_A=(`ls /dev/disk/by-path/* | grep pci-0000\:03 | head -15`)
+DEVICES_B=(`ls /dev/disk/by-path/* | grep pci-0000\:03 | tail -15`)
+DEVICES_C=(`ls /dev/disk/by-path/* | grep pci-0000\:04 | head -15`)
+DEVICES_D=(`ls /dev/disk/by-path/* | grep pci-0000\:04 | tail -15`)
+DEVICES_E=(`ls /dev/disk/by-path/* | grep pci-0000\:83 | head -15`)
+DEVICES_F=(`ls /dev/disk/by-path/* | grep pci-0000\:83 | tail -15`)
+DEVICES_G=(`ls /dev/disk/by-path/* | grep pci-0000\:84 | head -15`)
+DEVICES_H=(`ls /dev/disk/by-path/* | grep pci-0000\:84 | tail -15`)
+
+DEVICES_PER_CTRL=1
+RAIDZ2_GROUPS=15
+RAIDZ2S=()
+Z_IDX=0
+
+zpool_create() {
+ D_IDX=0
+ for i in `seq 1 ${RAIDZ2_GROUPS}`; do
+ RAIDZ2=""
+ for IDX in `seq 1 ${DEVICES_PER_CTRL}`; do
+ RAIDZ2="${RAIDZ2} `readlink -f ${DEVICES_A[${D_IDX}]}`"
+ RAIDZ2="${RAIDZ2} `readlink -f ${DEVICES_B[${D_IDX}]}`"
+ RAIDZ2="${RAIDZ2} `readlink -f ${DEVICES_C[${D_IDX}]}`"
+ RAIDZ2="${RAIDZ2} `readlink -f ${DEVICES_D[${D_IDX}]}`"
+ RAIDZ2="${RAIDZ2} `readlink -f ${DEVICES_E[${D_IDX}]}`"
+ RAIDZ2="${RAIDZ2} `readlink -f ${DEVICES_F[${D_IDX}]}`"
+ RAIDZ2="${RAIDZ2} `readlink -f ${DEVICES_G[${D_IDX}]}`"
+ RAIDZ2="${RAIDZ2} `readlink -f ${DEVICES_H[${D_IDX}]}`"
+ let D_IDX=D_IDX+1
+ done
+ RAIDZ2S[${Z_IDX}]="raidz2 ${RAIDZ2}"
+ let Z_IDX=Z_IDX+1
+ done
+
+ msg ${ZPOOL} create -f ${ZPOOL_NAME} ${RAIDZ2S[*]}
+ ${ZPOOL} create -f ${ZPOOL_NAME} ${RAIDZ2S[*]} || exit 1
+}
+
+zpool_destroy() {
+ msg ${ZPOOL} destroy ${ZPOOL_NAME}
+ ${ZPOOL} destroy ${ZPOOL_NAME}
+}